#include <cassert>
#include <iostream>
#include "singleton.h"

int main(int argc, char** argv) {
  Singleton* instance1 = Singleton::GetInstance();
  Singleton* instance2 = Singleton::GetInstance();
  assert(instance1 == instance2);

  Singleton_CPP11* instance3 = Singleton_CPP11::GetInstance();
  Singleton_CPP11* instance4 = Singleton_CPP11::GetInstance();
  assert(instance3 == instance4);

  return 0;
}
