#ifndef USERVALIDATOR_H
#define USERVALIDATOR_H

class UserProfile;

class UserValidator
{
public:
  bool ValidateUSUser();
  bool ValidateTWUser();

private:
  bool ValidateName();
  bool ValidateAccountId();

  bool ValidateUSAgeRestriction();
  bool ValidateTWAgeRestriction();
  bool ValidateUSAddress();
  bool ValidateTWAddress();
  bool ValidateUSPhoneNumber();
  bool ValidateTWPhoneNumber();

  UserProfile *mUser;
};

#endif
