class Singleton {
 public:
  static Singleton* GetInstance();
 private:
  Singleton() = default; // Disallows instantiation in the client.
  static Singleton* sInstance;
};

class Singleton_CPP11 {
 public:
  static Singleton_CPP11* GetInstance() {
     // Function-static instance is initialized only once and is thread-safe.
    static Singleton_CPP11 sInstance;
    return &sInstance;
  }
 private:
  Singleton_CPP11() = default;
};
