#ifndef IMAGEUPLOADER_H
#define IMAGEUPLOADER_H

#include "Cloud.h"
#include "CloudFactory.h"

using cloud::FileSystem;
using cloud::CloudFactory;

namespace tools {

class PictureUploader
{
public:
  PictureUploader(CloudFactory *aFactory);

  void UploadLocalImage(const char *aPath);
  void UploadLocalImageInFolder(const char *aFolderPath);

private:
  CloudFactory *mFactory;
};

}

#endif
